Skip to main content
POST
/
meter
/
by-address
Get Meter Info By Address
curl --request POST \
  --url https://api-sandbox.axle.energy/meter/by-address \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>"
}
'
{
  "mpan": "<string>",
  "eligible_markets": [
    "cm"
  ],
  "half_hourly_settled": true,
  "supplier_mpid": "<string>",
  "supplier_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
address
string
required

Full address of the meter, e.g. '221B Baker Street, London, NW1 6XE'. Must include postcode and begin with house number/ name or other uniquely-identifying information. May be constructed from individual address components, concatenated with separating commas. Better formatting may increase the chance of a meter being found.

Response

Meter information for the requested address

Response model for meter information.

Contains details about a meter including its MPAN, settlement status, and supplier information.

mpan
string
required

Meter Point Administration Number

eligible_markets
enum<string>[]
required

Markets in which the meter is eligible to participate

An enumeration.

Available options:
cm,
dno,
wholesale
half_hourly_settled
boolean

Whether the meter is half-hourly settled

supplier_mpid
string

Market Participant ID of the supplier

supplier_name
string

Name of the electricity supplier